#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
#       untitled.py
#       
#       Copyright 2010 Frankie Chow <frankie@happysky>
#       
#       This program is free software; you can redistribute it and/or modify
#       it under the terms of the GNU General Public License as published by
#       the Free Software Foundation; either version 2 of the License, or
#       (at your option) any later version.
#       
#       This program is distributed in the hope that it will be useful,
#       but WITHOUT ANY WARRANTY; without even the implied warranty of
#       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#       GNU General Public License for more details.
#       
#       You should have received a copy of the GNU General Public License
#       along with this program; if not, write to the Free Software
#       Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
#       MA 02110-1301, USA.

import pyglet
import graphics2d
import data
import game_fonts

class game_logo(object):
    def __init__(self, x, y, *args, **kwargs):
        self.fonts = game_fonts.game_fonts()
        self.x = x
        self.y = y
        self.logo_label = pyglet.text.Label('Eobble',
                  font_name='Free Mono', bold=True,
                  font_size=28,
                  x=self.x, y=self.y - 5,
                  color=(0,125,0,125))
        self.image = pyglet.image.load(filename='logo', file=data.load('eobble-5-scale-2w.gif'))
        self.buttom_group = graphics2d.Rect(self.x - 10, self.y - 20,170,170, color=(0.5, 0, 0, 0.7))
    
    def draw(self):
        self.buttom_group.draw()
        self.image.blit(self.x, self.y + 30)
        self.logo_label.draw()  
        
def main():
    
    return 0

if __name__ == '__main__':
    main()
