'''Game main module.

Contains the entry point used by the run_game.py script.

Feel free to put all your game code here, or in other modules in this "gamelib"
package.
'''

import game_window
import pyglet

window = game_window.game_window()

def update(dt):
    window.update(dt)
    
def main():
    pyglet.clock.schedule_interval(update, 1/5.)
    pyglet.app.run()
    pass
